Subject: Re: [PATCH net-next 3/4] igb: add AF_XDP zero-copy Rx support

From: Kurt Kanzenbach <[email-masked]>
Date: Wed, 14 Aug 2024 10:29:29 +0200

>>  	case XDP_REDIRECT:
>>  		err = xdp_do_redirect(adapter->netdev, xdp, xdp_prog);
>
> We were introducing a ZC variant of handling XDP verdict due to a fact
> that mostly what happens is the redirect to user space. We observed a
> reasonable perf improvement from likely()fying XDP_REDIRECT case.

Indeed, I can observe an improvement too.

I've introduced igb_run_xdp_zc() which takes care of that
optimization. Also it takes a pointer to the (read once) xsk_pool to
address the other comment.

Thanks,
Kurt